<?php

/*
 * phpWebFileManager - simple file management PHP script
 *
 * icons.inc.php - icons configuration file
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@platon.sk>
 * Copyright (c) 2001-2003 Platon SDG, http://platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://platon.sk/projects/phpWebFileManager/
 */

/* $Platon: phpWebFileManager/icons.inc.php,v 1.8 2003/12/18 17:53:27 nepto Exp $ */

/* If you made any modifications in this file, please send me your
   version or diff. I want to improve this. New pretty icons are also
   welcome.  -- Nepto */

/* TODO: GIMP files (all formats), Excel files, PowerPoint files,
   MS-Access files and other databases, especially SQL dumps;
   also CVS files in CVS/ subdirectory, other files such as .cvsignore, etc. */

$fm_cfg['icons']['sys'] = array(
		'UP-DIR' => 'back.gif',
		'DIR'    => 'dir.gif'
		);

$fm_cfg['icons']['name'] = array(
		//'core'      => 'bomb.gif'
		'core'        => 'burst.gif', // huh?
		'AUTHOR'      => 'text.gif',
		'AUTHORS'     => 'text.gif',
		'COPYING'     => 'text.gif',
		'LICENSE'     => 'text.gif',
		'TODO'        => 'text.gif',
		'README'      => 'text.gif',
		'INSTALL'     => 'text.gif',
		'ChangeLog'   => 'text.gif',
		'CHANGELOG'   => 'text.gif',
		'CHANGES'     => 'text.gif',
		'NEWS'        => 'text.gif',
		'API'         => 'text.gif',
		'BUGS'        => 'text.gif',
		'FEATURES'    => 'text.gif',
		'SITES'       => 'text.gif',
		'MAINTAINER'  => 'text.gif',
		'MAINTAINERS' => 'text.gif',
		);

$fm_cfg['icons']['ext'] = array(

		/* This is extracted from Apache configuration file,
		   but I don't have these small icons.
		   -- Nepto [5/8/2002] */
		/*
		   'wrl'    => 'world2.gif',
		   'wrl.gz' => 'world2.gif',
		   'vrml'   => 'world2.gif',
		   'vrm'    => 'world2.gif',
		   'iv'     => 'world2.gif',
		   'ps'     => 'a.gif',
		   'ai'     => 'a.gif',
		   'eps'    => 'a.gif',
		   'html'   => 'layout.gif',
		   'shtml'  => 'layout.gif',
		   'htm'    => 'layout.gif',
		   'pdf'    => 'layout.gif',
		   'c'      => 'c.gif',
		   'pl'     => 'p.gif',
		   'py'     => 'p.gif',
		   'php'    => 'p.gif',
		   'php3'   => 'p.gif',
		   'for'    => 'f.gif',
		   'dvi'    => 'dvi.gif',
		   'uu'     => 'uuencoded.gif',
		   'conf'   => 'script.gif',
		   'sh'     => 'script.gif',
		   'shar'   => 'script.gif',
		   'csh'    => 'script.gif',
		   'ksh'    => 'script.gif',
		   'tcl'    => 'script.gif',
		   'tex'    => 'tex.gif'
		 */

	/* These small icons I have. */
	'bin'    => 'binary.gif',
	'exe'    => 'binary.gif',
	'hqx'    => 'binhex.gif',
	'tar'    => 'tar.gif',
	'Z'      => 'compressed.gif',
	'z'      => 'compressed.gif',
	'tgz'    => 'compressed.gif',
	'gz'     => 'compressed.gif',
	'zip'    => 'compressed.gif',
	'bz2'    => 'compressed.gif',
	'txt'    => 'text.gif',
	/* End of Apache extraction */

	/* Now phpWebFileManager specific. It needs to improve anyway. */
	'css'    => 'css.gif',

	'bz'     => 'compressed.gif',
	'rar'    => 'compressed.gif',
	'arj'    => 'compressed.gif',
	'uc'     => 'compressed.gif', /* Ultra compressor */
	'uc2'    => 'compressed.gif',

	'uu'     => 'uu.gif',

	'sdw'    => 'doc.gif',
	'sgml'   => 'doc.gif',
	'xml'    => 'doc.gif',

	'html'   => 'html.gif',

	'bmp'    => 'image.gif',
	'pcx'    => 'image.gif',

	'gif'    => 'image2.gif',
	'tiff'   => 'image2.gif',
	'tif'    => 'image2.gif',

	'jpg'    => 'jpg.gif',
	'jpeg'   => 'jpg.gif',

	'avi'    => 'movie.gif',
	'rm'     => 'movie.gif',
	'mpg'    => 'movie.gif',
	'mpeg'   => 'movie.gif',

	'md5'    => 'key.gif',
	'md5sum' => 'key.gif',
	'md5key' => 'key.gif',

	'patch'  => 'patch.gif',
	'diff'   => 'patch.gif',

	'pdf'    => 'pdf.gif',

	'perl'   => 'perl.gif', // not used, but just for sure
	'pl'     => 'perl.gif',
	'pm'     => 'perl.gif',
	'cgi'    => 'perl.gif', // temporary entry?

	'php'    => 'php.gif',
	'php3'   => 'php.gif',
	'php4'   => 'php.gif',
	'inc'    => 'php.gif',

	'png'    => 'png.gif',

	'ps'     => 'ps.gif',
	'dvi'    => 'ps.gif',

	'rtf'    => 'rtf.gif',

	'mp3'    => 'sound.gif',
	'mp2'    => 'sound.gif',
	'wma'    => 'sound.gif',

	'xm'     => 'sound2.gif',
	'mod'    => 'sound2.gif',
	'mid'    => 'sound2.gif',

	'doc'    => 'word.gif'
	);

?>
